Bug 1215077 - Review Request: geolatte-geom - A geometry model for Java that conforms to the Simple Features For SQL
Summary: Review Request: geolatte-geom - A geometry model for Java that conforms to th...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michal Srb
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1215071
TreeView+ depends on / blocked
 
Reported: 2015-04-24 08:52 UTC by gil cattaneo
Modified: 2015-05-02 18:12 UTC (History)
2 users (show)

Fixed In Version: geolatte-geom-0.14-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-02 18:12:29 UTC
Type: ---
msrb: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description gil cattaneo 2015-04-24 08:52:20 UTC
Spec URL: https://gil.fedorapeople.org/geolatte-geom.spec
SRPM URL: https://gil.fedorapeople.org/geolatte-geom-0.14-1.fc20.src.rpm
Description:
This geoLatte-geom library offers a geometry model
that conforms to the OGC Simple Features for SQL
specification.
Fedora Account System Username: gil

Comment 1 Michal Srb 2015-04-27 07:12:27 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable


===== MUST items =====
Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: geolatte-geom-0.14-1.fc23.noarch.rpm
          geolatte-geom-javadoc-0.14-1.fc23.noarch.rpm
          geolatte-geom-0.14-1.fc23.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

Requires
--------
geolatte-geom-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

geolatte-geom (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.vividsolutions:jts)
    mvn(org.slf4j:slf4j-api)

Provides
--------
geolatte-geom-javadoc:
    geolatte-geom-javadoc

geolatte-geom:
    geolatte-geom
    mvn(org.geolatte:geolatte-geom)
    mvn(org.geolatte:geolatte-geom:pom:)

Source checksums
----------------
https://github.com/GeoLatte/geolatte-geom/archive/v0.14.tar.gz :
  CHECKSUM(SHA256) this package     : 4f3ee4f01b79a3b5b4c0bf878758cefb5274c6a366c8fe056aa8231006791ff3
  CHECKSUM(SHA256) upstream package : 4f3ee4f01b79a3b5b4c0bf878758cefb5274c6a366c8fe056aa8231006791ff3


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1215077
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG



ISSUES:
[!]: License field in the package spec file matches the actual license.

The license is LGPLv3+ (not just LGPLv3):

    GeoLatte is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

Otherwise the package looks good. Please correct the license tag before importing.

Approved.

Comment 2 gil cattaneo 2015-04-27 12:43:07 UTC
Spec URL: https://gil.fedorapeople.org/geolatte-geom.spec
SRPM URL: https://gil.fedorapeople.org/geolatte-geom-0.14-1.fc20.src.rpm

- fix license field

Thanks!

New Package SCM Request
=======================
Package Name: geolatte-geom
Short Description: A geometry model for Java that conforms to the Simple Features For SQL
Upstream URL: http://www.geolatte.org/
Owners: gil
Branches: f22
InitialCC: java-sig

Comment 3 Gwyn Ciesla 2015-04-27 13:19:39 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2015-04-27 13:49:10 UTC
geolatte-geom-0.14-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/geolatte-geom-0.14-1.fc22

Comment 5 Fedora Update System 2015-04-28 12:57:52 UTC
geolatte-geom-0.14-1.fc22 has been pushed to the Fedora 22 testing repository.

Comment 6 Fedora Update System 2015-05-02 18:12:29 UTC
geolatte-geom-0.14-1.fc22 has been pushed to the Fedora 22 stable repository.


Note You need to log in before you can comment on or make changes to this bug.